aboutsummaryrefslogtreecommitdiffstats
path: root/make/deploy-jnlp-webstarttest.sh
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2009-10-06 00:04:24 -0700
committerSven Gothel <[email protected]>2009-10-06 00:04:24 -0700
commit20c6d89bfc4f72144b8bcc48839da7ef9bc40681 (patch)
treef5bd470cfd5a4a91a682b9628956fba0b29cf025 /make/deploy-jnlp-webstarttest.sh
parente8fbf3c0738c39005036c50e74dd20e4956f372f (diff)
Work on test webstart deploy scripts ..
Diffstat (limited to 'make/deploy-jnlp-webstarttest.sh')
-rwxr-xr-xmake/deploy-jnlp-webstarttest.sh15
1 files changed, 10 insertions, 5 deletions
diff --git a/make/deploy-jnlp-webstarttest.sh b/make/deploy-jnlp-webstarttest.sh
index dd3cb0f1f..26a0f8b35 100755
--- a/make/deploy-jnlp-webstarttest.sh
+++ b/make/deploy-jnlp-webstarttest.sh
@@ -6,8 +6,11 @@ shift
joglbuilddir=$1
shift
-if [ -z "$url" -o -z "$joglbuilddir" ] ; then
- echo usage $0 codebase-url jogl-builddir
+wsdir=$1
+shift
+
+if [ -z "$url" -o -z "$joglbuilddir" -o -z "$wsdir" ] ; then
+ echo usage $0 codebase-url jogl-builddir webstartdir
exit 1
fi
@@ -16,6 +19,11 @@ if [ ! -e $joglbuilddir ] ; then
exit 1
fi
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
builddirbase=`basename $joglbuilddir`
joglroot=`dirname $joglbuilddir`
gluegenroot=$joglroot/../gluegen
@@ -40,9 +48,6 @@ if [ ! -e $jnlpdir_demos ] ; then
exit 1
fi
-wsdir=$joglbuilddir/webstart
-mkdir -p $wsdir
-
cp -v $jnlpdir_demos/*.html $wsdir
uri_esc=`echo $url | sed 's/\//\\\\\//g'`